<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:34 UTC 2019 -->
<title>FleetConnectivityJobStartedEvent (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FleetConnectivityJobStartedEvent (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FleetConnectivityJobStartedEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobRejectedEvent.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityMessage.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html" target="_top">Frames</a></li>
<li><a href="FleetConnectivityJobStartedEvent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.fce.FleetConnectivityEvent">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.fce</div>
<h2 title="Class FleetConnectivityJobStartedEvent" class="title">Class FleetConnectivityJobStartedEvent</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">com.here.android.mpa.fce.FleetConnectivityEvent</a></li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.fce.FleetConnectivityJobStartedEvent</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FleetConnectivityJobStartedEvent</span>
extends <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a></pre>
<div class="block">Represents event used to inform the operator that the incoming job was accepted.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.here.android.mpa.fce.FleetConnectivityEvent">
<!--   -->
</a>
<h3>Fields inherited from class com.here.android.mpa.fce.<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a></h3>
<code><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html#m_jobId">m_jobId</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html#FleetConnectivityJobStartedEvent--">FleetConnectivityJobStartedEvent</a></span>()</code> </td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html#dispatch-com.here.android.mpa.fce.FleetConnectivityService-">dispatch</a></span>(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce">FleetConnectivityService</a> service)</code>
<div class="block">Internal method.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html#getEtaThreshold--">getEtaThreshold</a></span>()</code>
<div class="block">Estimated time of arrival change threshold, which will trigger the dispatch of ETA update
 event.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html#setEtaThreshold-long-">setEtaThreshold</a></span>(long etaThreshold)</code>
<div class="block">Estimated time of arrival change threshold, which will trigger the dispatch of ETA update
 event.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html#setJobId-java.lang.String-">setJobId</a></span>(java.lang.String jobId)</code>
<div class="block">Job ID to which this event relates.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.here.android.mpa.fce.FleetConnectivityEvent">
<!--   -->
</a>
<h3>Methods inherited from class com.here.android.mpa.fce.<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a></h3>
<code><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html#getContent--">getContent</a>, <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html#getJobId--">getJobId</a>, <a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html#setContent-java.util.Map-">setContent</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FleetConnectivityJobStartedEvent--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FleetConnectivityJobStartedEvent</h4>
<pre>public FleetConnectivityJobStartedEvent()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setJobId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJobId</h4>
<pre>public void setJobId(java.lang.String jobId)</pre>
<div class="block">Job ID to which this event relates. Should be set before sending out.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>jobId</code> - Job ID to which this event relates.</dd>
</dl>
</li>
</ul>
<a name="getEtaThreshold--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEtaThreshold</h4>
<pre>public long getEtaThreshold()</pre>
<div class="block">Estimated time of arrival change threshold, which will trigger the dispatch of ETA update
 event. If not set or greater than 100, then default threshold of 10% will be used.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ETA update threshold.</dd>
</dl>
</li>
</ul>
<a name="setEtaThreshold-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEtaThreshold</h4>
<pre>public void setEtaThreshold(long etaThreshold)</pre>
<div class="block">Estimated time of arrival change threshold, which will trigger the dispatch of ETA update
 event. If not set or greater than 100, then default threshold of 10% will be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>etaThreshold</code> - ETA update threshold.</dd>
</dl>
</li>
</ul>
<a name="dispatch-com.here.android.mpa.fce.FleetConnectivityService-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dispatch</h4>
<pre>protected boolean dispatch(<a href="../../../../../com/here/android/mpa/fce/FleetConnectivityService.html" title="class in com.here.android.mpa.fce">FleetConnectivityService</a> service)</pre>
<div class="block">Internal method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html#dispatch-com.here.android.mpa.fce.FleetConnectivityService-">dispatch</a></code> in class <code><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityEvent.html" title="class in com.here.android.mpa.fce">FleetConnectivityEvent</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FleetConnectivityJobStartedEvent.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityJobRejectedEvent.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/fce/FleetConnectivityMessage.html" title="class in com.here.android.mpa.fce"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/fce/FleetConnectivityJobStartedEvent.html" target="_top">Frames</a></li>
<li><a href="FleetConnectivityJobStartedEvent.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li><a href="#fields.inherited.from.class.com.here.android.mpa.fce.FleetConnectivityEvent">Field</a> | </li>
<li><a href="#constructor.summary">Constr</a> | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li><a href="#constructor.detail">Constr</a> | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
